Bug 211609 - php-odbc is not 64-bit clean
php-odbc is not 64-bit clean
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-20 10:08 EDT by Janne Blomqvist
Modified: 2009-05-18 16:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:32:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
PHP Bug Tracker 32800 None None None Never
PHP Bug Tracker 32830 None None None Never

  None (edit)
Description Janne Blomqvist 2006-10-20 10:08:37 EDT
Description of problem:

When trying to use specific functions in the php-odbc api on a 64-bit platform,
a segfault occurs.

Version-Release number of selected component (if applicable):

httpd-2.0.52-28.ent
httpd-suexec-2.0.52-28.ent
php-4.3.9-3.18
php-odbc-4.3.9-3.18
unixODBC-2.2.11-1.RHEL4.1
unixODBC-kde-2.2.11-1.RHEL4.1

+ easysoft odbc-odbc client bridge.

How reproducible:

Occurs every time

Steps to Reproduce:
1. Write a PHP page that uses e.g. the odbc_fetch_into() function. A really
trivial example that uses odbc_exec() works fine, so this error applies to only
part of the functions in the php-odbc library.
2. Load page in browser, should see nothing beyond whatever is flushed before
the odbc function in question is called.
  
Actual results:

httpd crashes.

Look at the apache error_log, should see something like
[Fri Oct 20 15:48:14 2006] [notice] child pid 11743 exit signal Segmentation
fault (11)

Starting httpd via gdb, and accessing the page causing the segfault shows the
following backtrace:

#0  0x0000002a96668f0f in memcpy () from /lib64/tls/libc.so.6
#1  0x0000002a9a081d76 in _estrndup () from /etc/httpd/modules/libphp4.so
#2  0x0000002a9dd6e4ce in zif_odbc_fetch_into () from /usr/lib64/php4/odbc.so
#3  0x0000002a9a0a62e5 in execute () from /etc/httpd/modules/libphp4.so
#4  0x0000002a9a0a3416 in execute () from /etc/httpd/modules/libphp4.so
#5  0x0000002a9a092d0e in zend_execute_scripts () from /etc/httpd/modules/libphp4.so
#6  0x0000002a9a0664a3 in php_execute_script () from /etc/httpd/modules/libphp4.so
#7  0x0000002a9a0ad879 in execute () from /etc/httpd/modules/libphp4.so
#8  0x000000552aac79f3 in ap_run_handler () from /usr/sbin/httpd
#9  0x000000552aac7eb1 in ap_invoke_handler () from /usr/sbin/httpd
#10 0x000000552aac4cb8 in ap_process_request () from /usr/sbin/httpd
#11 0x000000552aac0089 in _start () from /usr/sbin/httpd
#12 0x000000552aad1693 in ap_run_process_connection () from /usr/sbin/httpd
#13 0x000000552aac5b20 in ap_graceful_stop_signalled () from /usr/sbin/httpd
#14 0x000000552aac5dbd in ap_graceful_stop_signalled () from /usr/sbin/httpd
#15 0x000000552aac5ea4 in ap_graceful_stop_signalled () from /usr/sbin/httpd
#16 0x000000552aac65db in ap_mpm_run () from /usr/sbin/httpd
#17 0x000000552aacccef in main () from /usr/sbin/httpd

Expected results:

Well, a page showing results fetched from the DB.

Additional info:

I haven't had time to look into this very deeply (that's why we're paying you
for support, right? [1]), but this seems related to PHP bugs 32800 and 32830,
which are already fixed upstream.

[1] We do have an "active support entitlement" for RHEL, but I sit behind a rhn
satellite server and I don't have a Red Hat Support login.
Comment 1 Joe Orton 2006-10-20 11:16:54 EDT
Thanks for the report (and the upstream bug references).
Comment 3 RHEL Product and Program Management 2008-02-01 14:11:47 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 RHEL Product and Program Management 2008-09-05 13:11:27 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-05-18 16:32:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1013.html

Note You need to log in before you can comment on or make changes to this bug.